<?xml version="1.0" encoding="gb2312" ?>
<xs:schema targetNamespace="http://www.h3c.com/netconf/data:1.0"
                  elementFormDefault="qualified"
                  xmlns="http://www.h3c.com/netconf/data:1.0"
                  xmlns:base="http://www.h3c.com/netconf/base:1.0" 
                  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import schemaLocation="basetype.xsd" namespace="http://www.h3c.com/netconf/base:1.0"></xs:import>
  <xs:annotation>
    <xs:documentation>
      Definition of data in BGP
    </xs:documentation>
  </xs:annotation>
  
  <xs:simpleType name="MaskDefaultType">
    <xs:annotation>
      <xs:documentation>default 255</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:unsignedInt">
      <xs:enumeration value="255"/>
    </xs:restriction>
  </xs:simpleType>
  
  <xs:simpleType name="MaskValidType">
    <xs:annotation>
      <xs:documentation>0~128xs</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:unsignedInt">
      <xs:minInclusive value="0"/>
      <xs:maxInclusive value="128"/>
    </xs:restriction>
  </xs:simpleType>
  
  <xs:simpleType name="MaskType">
    <xs:annotation>
      <xs:documentation>0-128 or 255 (default)</xs:documentation>
    </xs:annotation>
    <xs:union memberTypes="MaskDefaultType MaskValidType"/>
  </xs:simpleType>
  
  <xs:element name="BGP">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded" minOccurs="0">
      
        <xs:element name="Instances" minOccurs="0">
          <xs:annotation>
            <xs:documentation>BGP instance configuration</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded" minOccurs="0">
              <xs:element name="Instance" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>BGP instance table</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                  
                    <xs:element name="Name" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Process name (string, 0-31 characters)</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31">
                            </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                    <xs:element name="ASNumber" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>AS number</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1">
                            </xs:minInclusive>
                            <xs:maxInclusive value="4294967295">
                            </xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                    <xs:element name="NSR" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                          NSR status
                          0-Disabled
                          1-Enabled
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0"/> 
                            <xs:enumeration value="1"/> 
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                    <xs:element name="SendDelayTime"  minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>The time to wait for sending update.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"/>
                            <xs:maxInclusive value="3600"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                    <xs:element name="SendDelayPrefix" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>The send delay prefix list name.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1"/>
                            <xs:maxLength value="63"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                    <xs:element name="SendStartupTime"  minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>The time for sending update applied with the startup policy.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"/>
                            <xs:maxInclusive value="3600"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                   
                    <xs:element name="StartupPolicyMed"  minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>The Med in the startup policy.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"/>
                            <xs:maxInclusive value="4294967295"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element> 
                  
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
            </xs:complexType>
        </xs:element>
        
        <xs:element name="VRFs" minOccurs="0">
          <xs:annotation>
            <xs:documentation>BGP VRF configuration</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded" minOccurs="0">
              <xs:element name="VRF" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>BGP VRF table</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                  
                    <xs:element name="Name" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Process name (string, 0-31 characters)</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31">
                            </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                    <xs:element name="VRF" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>VRF name (string, 0-31 characters)</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31">
                            </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                    <xs:element name="RouterId" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>BGP Router ID, in IP address notation.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1"/>
                            <xs:maxLength value="16"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                    <xs:element name="Timer" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>BGP neighbor timers.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          
                          <xs:element name="KeepAlive"  minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>BGP neighbor Keepalive timer.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="0"/>
                                  <xs:maxInclusive value="21845"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          
                          <xs:element name="HoldTime"  minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>BGP neighbor HoldTime timer, at least three times the keepalive time.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="0"/>
                                  <xs:maxInclusive value="65535"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
        <xs:element name="CfgSessionGroups" minOccurs="0">
          <xs:annotation>
            <xs:documentation>BGP session group information</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded" minOccurs="0">
              <xs:element name="CfgSessionGroup" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>BGP session group table</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                  
                    <xs:element name="Name" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Process name (string, 0-31 characters)</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31">
                            </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                    <xs:element name="VRF" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>VRF name (string, 0-31 characters)</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31">
                            </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                    <xs:element name="GroupName" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Group name (string, 1-47 characters)</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1">
                            </xs:minLength>
                            <xs:maxLength value="47">
                            </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                    <xs:element name="Type" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                          BGP session group type
                          0:IBGP session group
                          1:EBGP session group
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0">
                            </xs:enumeration>
                            <xs:enumeration value="1">
                            </xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                                        
                    <xs:element name="ASNumber" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>AS number</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1">
                            </xs:minInclusive>
                            <xs:maxInclusive value="4294967295">
                            </xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                    <xs:element name="ConnectInterface" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Source interface (string, 1-47 characters)</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1">
                            </xs:minLength>
                            <xs:maxLength value="47">
                            </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                    <xs:element name="UpdateInterval" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Interval for sending updates for the same route.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0">
                            </xs:minInclusive>
                            <xs:maxInclusive value="600">
                            </xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>

                     <xs:element name="PasswordType" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                        	Password type.
                            1:Cipher.
                            2:Plain.
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1">
                            </xs:enumeration>
                            <xs:enumeration value="2">
                            </xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>

                     <xs:element name="Password" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Password (string, 1-137 characters)</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1">
                            </xs:minLength>
                            <xs:maxLength value="137">
                            </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
        <xs:element name="CfgSessions" minOccurs="0">
          <xs:annotation>
            <xs:documentation>BGP session information</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded" minOccurs="0">
              <xs:element name="CfgSession" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>BGP session information table</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Name" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Process name (string, 0-31 characters)</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31">
                            </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="VRF" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>VRF name (string, 0-31 characters)</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31">
                            </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="SessAF" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                          Address family
                          1: IPV4
                          2: IPV6
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1">
                            </xs:enumeration>
                            <xs:enumeration value="2">
                            </xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="IpAddress" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Session address (string, 0-46 characters)</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="46">
                            </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Mask" type="MaskType" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Mask or prefix length: 0-128, or 255 (for non-dynamic peers).</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="ASNumber" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>AS number</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1">
                            </xs:minInclusive>
                            <xs:maxInclusive value="4294967295">
                            </xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                    <xs:element name="GroupName" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Group name (string, 1-47 characters)</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1">
                            </xs:minLength>
                            <xs:maxLength value="47">
                            </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element> 
                    
                    <xs:element name="ConnectInterface" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Source interface (string, 1-47 characters)</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1">
                            </xs:minLength>
                            <xs:maxLength value="47">
                            </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                    <xs:element name="UpdateInterval" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Interval for sending updates for the same route.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1">
                            </xs:minInclusive>
                            <xs:maxInclusive value="600">
                            </xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
 
                      <xs:element name="PasswordType" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                        	Password type.
                            1:Cipher.
                            2:Plain.
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1">
                            </xs:enumeration>
                            <xs:enumeration value="2">
                            </xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>

                     <xs:element name="Password" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Password (string, 1-137 characters)</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1">
                            </xs:minLength>
                            <xs:maxLength value="137">
                            </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>

                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>

        <xs:element name="Sessions" minOccurs="0">
          <xs:annotation>
            <xs:documentation>Session data</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded" minOccurs="0">
              <xs:element name="Session" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>Session data table</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Name" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>Process name (string, 0-31 characters)</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31">
			                      </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="VRF" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>VRF name (string, 0-31 characters)</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31">
			                      </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="AF" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                          Address family
                          1: IPV4
                          2: IPV6
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1">
                            </xs:enumeration>
                            <xs:enumeration value="2">
                            </xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="IpAddress"  minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Session address</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                          	<xs:maxLength value="46"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="ASNumber"  minOccurs="0"   nillable="true">
                      <xs:annotation>
                        <xs:documentation>AS number</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                          	<xs:minInclusive value="1"></xs:minInclusive>
                            <xs:maxInclusive value="4294967295"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="State"  minOccurs="0"  nillable="true">
                      <xs:annotation>
                        <xs:documentation>Session status</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                          	<xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="5"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>

        <xs:element name="Familys" minOccurs="0">
          <xs:annotation>
            <xs:documentation>Address family information</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded" minOccurs="0">
              <xs:element name="Family" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>Address family information table</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Name" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Process name (string, 0-31 characters)</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31">
                            </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="VRF" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>VRF name (string, 0-31 characters)</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31">
                            </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Type" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                        Address family
                        1¡ªIPv4 Unicast
                        2¡ªIPv4 Multicast
                        3¡ªMDT
                        4¡ªVPNv4
                        5¡ªIPv6 Unicast
                        6¡ªIPv6 Multicast
                        7¡ªVPNv6
                        8¡ªL2VPN
                        9¡ªL2VPN EVPN
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1">
                            </xs:enumeration>
                            <xs:enumeration value="2">
                            </xs:enumeration>
                            <xs:enumeration value="3">
                            </xs:enumeration>
                            <xs:enumeration value="4">
                            </xs:enumeration>
                            <xs:enumeration value="5">
                            </xs:enumeration>
                            <xs:enumeration value="6">
                            </xs:enumeration>
                            <xs:enumeration value="7">
                            </xs:enumeration>
                            <xs:enumeration value="8">
                            </xs:enumeration>
                            <xs:enumeration value="9">
                            </xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                    <xs:element name="Preference" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>BGP route preference.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                        
                          <xs:element name="Ebgp"  minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Preference for EBGP routes (routes learned from EBGP peers), default=255.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="1"/>
                                  <xs:maxInclusive value="255"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          
                          <xs:element name="Ibgp"  minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Preference for IBGP routes (routes learned from IBGP peers), default=255.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="1"/>
                                  <xs:maxInclusive value="255"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          
                          <xs:element name="Local"  minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Preference for local BGP routes, default=130.</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="1"/>
                                  <xs:maxInclusive value="255"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    
                    <xs:element name="Balance" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Number of BGP ECMP routes.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:all>
                          
                          <xs:element name="MaxBalance"  minOccurs="0" nillable="true">
                            <xs:annotation>
                              <xs:documentation>Maximum number of BGP ECMP routes (varies by device model).</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="1"/>
                                  <xs:maxInclusive value="255"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
					
                    <xs:element name="PolicyVpnTarget" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                        Policy vpn-target
                        0-Disabled
                        1-Enabled
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0">
                            </xs:enumeration>
                            <xs:enumeration value="1">
                            </xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
					
                    <xs:element name="ReflectBtwClients" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                        Reflect between-clients
                        0-Disabled
                        1-Enabled
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0">
                            </xs:enumeration>
                            <xs:enumeration value="1">
                            </xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
					
                    <xs:element name="ReflectorClusterID" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Reflector cluster-id, must be an INT32 or IPv4 address.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="46">
                            </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
					
                    <xs:element name="RrFilter" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Rr-filter</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1">
                            </xs:minInclusive>
                            <xs:maxInclusive value="199">
                            </xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
		    <xs:element name="DefaultRtImport" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                        default-route imported
                        0-Disabled
			1-Enabled
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0">
                            </xs:enumeration>
                            <xs:enumeration value="1">
                            </xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
					
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
        <xs:element name="Networks" minOccurs="0">
          <xs:annotation>
            <xs:documentation>BGP network information</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded" minOccurs="0">
              <xs:element name="Network" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>BGP network information table</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                  
                    <xs:element name="Name" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Process name (string, 0-31 characters)</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31">
                            </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                    <xs:element name="VRF" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>VRF name (string, 0-31 characters)</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31">
                            </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                    <xs:element name="Family" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                        Address family
                        1¡ªIPv4 Unicast
                        2¡ªIPv4 Multicast
                        5¡ªIPv6 Unicast
                        6¡ªIPv6 Multicast
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1">
                            </xs:enumeration>
                            <xs:enumeration value="2">
                            </xs:enumeration>
                            <xs:enumeration value="5">
                            </xs:enumeration>
                            <xs:enumeration value="6">
                            </xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                    <xs:element name="IpAddress" type="base:IpAddress" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Network route address (IPv4 or IPv6)</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    
                    <xs:element name="Mask" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Network route mask (IPv4 mask length 0-32, IPv6 prefix length 0-128).</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"/>
                            <xs:maxInclusive value="128"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
        <xs:element name="Aggregates" minOccurs="0">
          <xs:annotation>
            <xs:documentation>BGP summary route information</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded" minOccurs="0">
              <xs:element name="Aggregate" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>BGP summary route table</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                  
                    <xs:element name="Name" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Process name (string, 0-31 characters)</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31">
                            </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                    <xs:element name="VRF" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>VRF name (string, 0-31 characters)</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31">
                            </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                    <xs:element name="Family" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                        Address family
                        1¡ªIPv4 Unicast
                        2¡ªIPv4 Multicast
                        5¡ªIPv6 Unicast
                        6¡ªIPv6 Multicast
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1">
                            </xs:enumeration>
                            <xs:enumeration value="2">
                            </xs:enumeration>
                            <xs:enumeration value="5">
                            </xs:enumeration>
                            <xs:enumeration value="6">
                            </xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                    <xs:element name="IpAddress" type="base:IpAddress" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Summary route address (IPv4 or IPv6)</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    
                    <xs:element name="Mask" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Summary route mask or prefix (IPv4 mask length 0-32, IPv6 prefix length 0-128).</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0"/>
                            <xs:maxInclusive value="128"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                    <xs:element name="DetailSuppressed" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                          DetailSuppressed status
                          0: disabled
                          1: enabled
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0"/> 
                            <xs:enumeration value="1"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
        <xs:element name="NeighborGroups" minOccurs="0">
          <xs:annotation>
            <xs:documentation>Neighbor group information</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded" minOccurs="0">
              <xs:element name="NeighborGroup" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>Neighbor group information table</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                  
                    <xs:element name="Name" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Process name (string, 0-31 characters)</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31">
                            </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                    <xs:element name="VRF" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>VRF name (string, 0-31 characters)</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31">
                            </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                    <xs:element name="Family" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                        Address family
                        1¡ªIPv4 Unicast
                        2¡ªIPv4 Multicast
                        3¡ªMDT
                        4¡ªVPNv4
                        5¡ªIPv6 Unicast
                        6¡ªIPv6 Multicast
                        7¡ªVPNv6
                        8¡ªL2VPN
			9-EVPN
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1">
                            </xs:enumeration>
                            <xs:enumeration value="2">
                            </xs:enumeration>
                            <xs:enumeration value="3">
                            </xs:enumeration>
                            <xs:enumeration value="4">
                            </xs:enumeration>
                            <xs:enumeration value="5">
                            </xs:enumeration>
                            <xs:enumeration value="6">
                            </xs:enumeration>
                            <xs:enumeration value="7">
                            </xs:enumeration>
                            <xs:enumeration value="8">
                            </xs:enumeration>
			    <xs:enumeration value="9">
                            </xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                    <xs:element name="GroupName" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Group name (string, 1-47 characters)</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1">
                            </xs:minLength>
                            <xs:maxLength value="47">
                            </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                    <xs:element name="RtPolicyImport" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Inbound routing policy (string, 1-63 characters).</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1">
                            </xs:minLength>
                            <xs:maxLength value="63">
                            </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                    <xs:element name="RtPolicyExport" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Outbound routing policy (string, 1-63 characters).</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1">
                            </xs:minLength>
                            <xs:maxLength value="63">
                            </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                    <xs:element name="AllowAsLoop" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Number of times the local AS number can appear in AS_PATH attribute of the received routes.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1">
                            </xs:minInclusive>
                            <xs:maxInclusive value="10">
                            </xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
					
		    <xs:element name="ReflectClient" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
			Reflect client.
			0-Disabled
			1-Enabled
			</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0">
                            </xs:enumeration>
                            <xs:enumeration value="1">
                            </xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="NexthopInvariable" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                        Nexthop invariable.
                        0-Disabled
                        1-Enabled
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0">
                            </xs:enumeration>
                            <xs:enumeration value="1">
                            </xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>

                    <xs:element name="NexthopLocal" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                        NexthopLocal.
                        0-Disabled
                        1-Enabled
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0">
                            </xs:enumeration>
                            <xs:enumeration value="1">
                            </xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
		    
                    <xs:element name="RouterMacLocal" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                        RouterMacLocal.
                        0-Disabled
                        1-Enabled
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0">
                            </xs:enumeration>
                            <xs:enumeration value="1">
                            </xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>  
		    
                    <xs:element name="AdvertiseCommunity" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                        Advertise Community.
                        0-Disabled
                        1-Enabled
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0">
                            </xs:enumeration>
                            <xs:enumeration value="1">
                            </xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>

                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
        <xs:element name="Neighbors" minOccurs="0">
          <xs:annotation>
            <xs:documentation>Neighbor information</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded" minOccurs="0">
              <xs:element name="Neighbor" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>Neighbor information table</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Name" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Process name (string, 0-31 characters)</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31">
                            </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>

                    <xs:element name="VRF" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>VRF name (string, 0-31 characters)</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31">
                            </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>

                    <xs:element name="Family" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                        Address family
                        1¡ªIPv4 Unicast
                        2¡ªIPv4 Multicast
                        3¡ªMDT
                        4¡ªVPNv4
                        5¡ªIPv6 Unicast
                        6¡ªIPv6 Multicast
                        7¡ªVPNv6
                        8¡ªL2VPN
                        9-L2VPN EVPN
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1">
                            </xs:enumeration>
                            <xs:enumeration value="2">
                            </xs:enumeration>
                            <xs:enumeration value="3">
                            </xs:enumeration>
                            <xs:enumeration value="4">
                            </xs:enumeration>
                            <xs:enumeration value="5">
                            </xs:enumeration>
                            <xs:enumeration value="6">
                            </xs:enumeration>
                            <xs:enumeration value="7">
                            </xs:enumeration>
                            <xs:enumeration value="8">
                            </xs:enumeration>
                            <xs:enumeration value="9">
                            </xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>

                    <xs:element name="SessAF" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                        Address family
                        1: IPV4
                        2: IPV6
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1">
                            </xs:enumeration>
                            <xs:enumeration value="2">
                            </xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>

                    <xs:element name="IpAddress" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Session address (string, 0-46 characters)</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="46">
                            </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>

                    <xs:element name="Mask" type="MaskType" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Mask or prefix length: 0-128, or 255 (for non-dynamic peers).</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    
                    <xs:element name="RtPolicyImport" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Inbound routing policy (string, 1-63 characters).</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1">
                            </xs:minLength>
                            <xs:maxLength value="63">
                            </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                    <xs:element name="RtPolicyExport" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Outbound routing policy (string, 1-63 characters).</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1">
                            </xs:minLength>
                            <xs:maxLength value="63">
                            </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                    <xs:element name="AllowAsLoop" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Number of times the local AS number can appear in AS_PATH attribute of the received routes.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1">
                            </xs:minInclusive>
                            <xs:maxInclusive value="10">
                            </xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>

                    <xs:element name="ReflectClient" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                        Reflect client.
                        0-Disabled
                        1-Enabled
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0">
                            </xs:enumeration>
                            <xs:enumeration value="1">
                            </xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>

                    <xs:element name="NexthopInvariable" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                        Nexthop invariable.
                        0-Disabled
                        1-Enabled
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0">
                            </xs:enumeration>
                            <xs:enumeration value="1">
                            </xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>

                    <xs:element name="NexthopLocal" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                        NexthopLocal.
                        0-Disabled
                        1-Enabled
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0">
                            </xs:enumeration>
                            <xs:enumeration value="1">
                            </xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>

                    <xs:element name="RouterMacLocal" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                        RouterMacLocal.
                        0-Disabled
                        1-Enabled
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0">
                            </xs:enumeration>
                            <xs:enumeration value="1">
                            </xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>   
		    
                    <xs:element name="AdvertiseCommunity" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                        Advertise Community.
                        0-Disabled
                        1-Enabled
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0">
                            </xs:enumeration>
                            <xs:enumeration value="1">
                            </xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
        <xs:element name="Redistributes" minOccurs="0">
          <xs:annotation>
            <xs:documentation>Redistribute route information</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded" minOccurs="0">
              <xs:element name="Redist" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>Redistribute route information table</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Name" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Process name (string, 0-31 characters)</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31">
                            </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="VRF" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>VRF name (string, 0-31 characters)</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31">
                            </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Family" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                        Address family
                        1¡ªIPv4 Unicast
                        2¡ªIPv4 Multicast
                        5¡ªIPv6 Unicast
                        6¡ªIPv6 Multicast                     
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1">
                            </xs:enumeration>
                            <xs:enumeration value="2">
                            </xs:enumeration>
                            <xs:enumeration value="5">
                            </xs:enumeration>
                            <xs:enumeration value="6">
                            </xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Protocol" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                        Protocol
                        1¡ªDirect.
                        2¡ªStatic.
                        3¡ªRIP
                        4¡ªOSPF
                        5¡ªISIS
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1">
                            </xs:enumeration>
                            <xs:enumeration value="2">
                            </xs:enumeration>
                            <xs:enumeration value="3">
                            </xs:enumeration>
                            <xs:enumeration value="4">
                            </xs:enumeration>
                            <xs:enumeration value="5">
                            </xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="RedistName" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Protocol name. When the protocol is Direct or Static, the protocol name must be null. When the protocol is RIP, ISIS, or OSPF, the protocol name must be "all-processes" or an integer in the range of 1 to 65535.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31">
                            </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>

                    <xs:element name="AllowDirect" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                        AllowDirect.
                        0-Disabled
                        1-Enabled
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0">
                            </xs:enumeration>
                            <xs:enumeration value="1">
                            </xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
 
                    <xs:element name="Med" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>The MED value of Redistributed routes.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0">
                            </xs:minInclusive>
                            <xs:maxInclusive value="4294967295">
                            </xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>

                    <xs:element name="RoutePolicy" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>RoutePolicy name(string, 1-63 characters).</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1">
                            </xs:minLength>
                            <xs:maxLength value="63">
                            </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>

                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
        <xs:element name="SessionCounts" minOccurs="0">
          <xs:annotation>
            <xs:documentation>The count of sessions.</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded" minOccurs="0">
              <xs:element name="SessionCount" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>Session count table</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                  
                    <xs:element name="Name" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>Process name (string, 0-31 characters)</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31">
			                      </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                    <xs:element name="VRF" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>VRF name (string, 0-31 characters)</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31">
			                      </xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                    <xs:element name="State"  minOccurs="0"  nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                          Session status
                          0¡ªIdle
                          1¡ªConnect
                          2¡ªActive
                          3¡ªOpensent
                          4¡ªOpenconfirm
                          5¡ªEstablished
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                          	<xs:minInclusive value="0"></xs:minInclusive>
                            <xs:maxInclusive value="5"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                    <xs:element name="Count"  minOccurs="0"  nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                          The count of sessions
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32"></xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
                        
      </xs:choice>
      <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
    </xs:complexType>
  </xs:element>
</xs:schema>
